import Component  from '../component.js'
import { elementAttributeContains } from '../../core/utils.js'

export default class CoEuiInputNumber extends Component {
  constructor(parent) {
    let selector = 'input[@euiInputNumber][not(@euiInputCheckBox)]';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-input-number?at=support%2F13.x
  }
  async isInvalid() {
    return await elementAttributeContains(this.currentPath, 'class', 'eui-input-number--invalid');
  }
}


